bitset File Reference

Go to the source code of this file.

## Classes

class | std::__debug::bitset< _Nb >
struct | std::hash< __debug::bitset< _Nb > >

## Namespaces

namespace | std
namespace | std::__debug

## Functions

template<size_t _Nb>
bitset< _Nb > | std::__debug::operator& (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_ostream< _CharT, _Traits > & | std::__debug::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const bitset< _Nb > &__x)
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_istream< _CharT, _Traits > & | std::__debug::operator>> (std::basic_istream< _CharT, _Traits > &__is, bitset< _Nb > &__x)
template<size_t _Nb>
bitset< _Nb > | std::__debug::operator^ (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<size_t _Nb>
bitset< _Nb > | std::__debug::operator| (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/bitset.

## Macro Definition Documentation

## _GLIBCXX_DEBUG_BITSET

#define _GLIBCXX_DEBUG_BITSET

Definition at line 30 of file debug/bitset.